/*
Example for Keylock Click

    Date          : jul 2017.
    Author        : MikroE Team

Test configuration AVR :
    
    MCU             : ATMEGA32
    Dev. Board      : EasyAVR v7 
    SW              : mikroC PRO for AVR v$${AVR_COMPLIER_VER}

Description :

   This is a simple example of how Keylock click works, depending on the state of the Keylock click the appropriate position will be detected.

*/
#include "stdint.h"
sbit KEYLOCK_STATE_1 at PINA7_bit;
sbit KEYLOCK_STATE_1_Direction at DDA7_bit;
sbit KEYLOCK_STATE_2 at PIND4_bit;
sbit KEYLOCK_STATE_2_Direction at DDD4_bit;
sbit KEYLOCK_STATE_3 at PIND2_bit;
sbit KEYLOCK_STATE_3_Direction at DDD2_bit;

uint8_t state;
char txt[20];

void systemInit()
{
    UART1_Init(9600);
}

void Keylock_Init()
{
    KEYLOCK_STATE_1_Direction = 0;
    KEYLOCK_STATE_2_Direction = 0;
    KEYLOCK_STATE_3_Direction = 0;
}

void Keylock_Task()
{
    state =  KEYLOCK_STATE_1*1 + KEYLOCK_STATE_2*2 + KEYLOCK_STATE_3*3;
    UART1_Write_text("Keylock is in state:");
    IntToStr(state,txt) ;
    UART1_Write_Text(txt);
    UART1_Write_Text( "\r\n" );
    delay_ms(500);
}

void main()
{
    systemInit();
    Keylock_Init();

    while( 1 )
    {
            Keylock_Task();
    }
}